Last Comment Bug 205582 - NSPR maps EHOSTUNREACH to PR_UNKNOWN_ERROR on Unix
: NSPR maps EHOSTUNREACH to PR_UNKNOWN_ERROR on Unix
Status: RESOLVED FIXED
:
Product: NSPR
Classification: Components
Component: NSPR (show other bugs)
: 4.3
: x86 Linux
: -- normal (vote)
: 4.4
Assigned To: Wan-Teh Chang
: Wan-Teh Chang
Mentors:
Depends on:
Blocks: 199173
  Show dependency treegraph
 
Reported: 2003-05-13 18:02 PDT by Wan-Teh Chang
Modified: 2003-05-21 15:08 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (781 bytes, patch)
2003-05-13 18:03 PDT, Wan-Teh Chang
darin.moz: review+
asa: approval1.4+
Details | Diff | Splinter Review

Description Wan-Teh Chang 2003-05-13 18:02:30 PDT
NSPR maps EHOSTUNREACH to PR_UNKNOWN_ERROR on Unix.
That OS error should be mapped to PR_HOST_UNREACHABLE_ERROR.
Comment 1 Wan-Teh Chang 2003-05-13 18:03:58 PDT
Created attachment 123221 [details] [diff] [review]
Proposed patch
Comment 2 Darin Fisher 2003-05-13 18:20:31 PDT
Comment on attachment 123221 [details] [diff] [review]
Proposed patch

looks good... i will need to modify the socket transport code to respond to
this error code.  patch for that coming up...
Comment 3 Wan-Teh Chang 2003-05-13 18:28:58 PDT
Comment on attachment 123221 [details] [diff] [review]
Proposed patch

Requesting mozilla 1.4 final approval.	This is a low risk patch.
Note that NSPR patches do not require a superreview.
Comment 4 Darin Fisher 2003-05-13 19:44:54 PDT
drivers: this patch is required to fix bug 199173, which would be a good bug to
have fixed in 1.4 final.
Comment 5 Asa Dotzler [:asa] 2003-05-14 13:57:00 PDT
Comment on attachment 123221 [details] [diff] [review]
Proposed patch

a=asa (on behalf of drivers) for checkin to 1.4
Comment 6 Wan-Teh Chang 2003-05-14 14:51:35 PDT
Fix checked in on the NSPR trunk (NSPR 4.4) and the
NSPRPUB_PRE_4_2_CLIENT_BRANCH (mozilla 1.4 final).

Note You need to log in before you can comment on or make changes to this bug.